---
#
# all actions
#
- hosts: all
  become: true
  tasks:
    - name: install deps
      apk:
        name: python-dev,python3-dev,py-virtualenv,nginx,supervisor,shadow,build-base,musl-dev,gcc,linux-headers,libffi,libffi-dev
        update_cache: yes
    - name: create etc supervisor.d folder
      file:
        path: /etc/supervisor.d
        state: directory
    - name: starts supervisord
      service:
        name: supervisord
        state: started
